Index: src/main/java/com/wediscussmovies/project/configuration/SecurityConfig.java
===================================================================
--- src/main/java/com/wediscussmovies/project/configuration/SecurityConfig.java	(revision 5b447b0d2e718cbed66c944e78e18dd0a5d8bbe3)
+++ src/main/java/com/wediscussmovies/project/configuration/SecurityConfig.java	(revision f25e8dd2951fa6a4f137647ddf715ff7c799d638)
@@ -5,4 +5,5 @@
 import org.springframework.security.config.annotation.authentication.builders.AuthenticationManagerBuilder;
 import org.springframework.security.config.annotation.web.builders.HttpSecurity;
+import org.springframework.security.config.annotation.web.builders.WebSecurity;
 import org.springframework.security.config.annotation.web.configuration.WebSecurityConfigurerAdapter;
 
@@ -15,4 +16,11 @@
     }
 
+    @Override
+    public void configure(WebSecurity web) throws Exception {
+        web.ignoring().antMatchers("/*.jpg");
+        web.ignoring().antMatchers("/*.png");
+        web.ignoring().antMatchers("/*.css");
+        web.ignoring().antMatchers("/*.js");
+    }
 
     @Override
@@ -21,5 +29,5 @@
         http.csrf().disable()
                 .authorizeRequests()
-                .antMatchers("/movies","/actors","/directors","/discussions","/replies","/register","/genres").permitAll()
+                .antMatchers("/movies","/movies/**/","/actors","/persons/**/","/directors","/discussions","/discussions/**/","/discussions/all/**/","/replies","/register","/genres").permitAll()
                 .anyRequest()
                 .authenticated()
Index: src/main/java/com/wediscussmovies/project/model/Movie.java
===================================================================
--- src/main/java/com/wediscussmovies/project/model/Movie.java	(revision 5b447b0d2e718cbed66c944e78e18dd0a5d8bbe3)
+++ src/main/java/com/wediscussmovies/project/model/Movie.java	(revision f25e8dd2951fa6a4f137647ddf715ff7c799d638)
@@ -6,4 +6,5 @@
 import com.wediscussmovies.project.model.relation.MovieRates;
 import lombok.Data;
+import org.hibernate.annotations.Fetch;
 
 import javax.persistence.*;
@@ -37,5 +38,5 @@
     private Double imdbRating;
 
-    @OneToMany(mappedBy = "movie")
+    @OneToMany(mappedBy = "movie", fetch = FetchType.LAZY)
     private Collection<MovieActors> actors;
     @OneToMany(mappedBy = "movie")
Index: src/main/java/com/wediscussmovies/project/web/controller/MovieController.java
===================================================================
--- src/main/java/com/wediscussmovies/project/web/controller/MovieController.java	(revision 5b447b0d2e718cbed66c944e78e18dd0a5d8bbe3)
+++ src/main/java/com/wediscussmovies/project/web/controller/MovieController.java	(revision f25e8dd2951fa6a4f137647ddf715ff7c799d638)
@@ -61,4 +61,19 @@
     }
 
+    @GetMapping("/{id}")
+    public String getMovie(@PathVariable Integer id, Model model){
+        model.addAttribute("movie", movieService.findById(id));
+
+        Authentication auth = SecurityContextHolder.getContext().getAuthentication();
+        if (!(auth instanceof AnonymousAuthenticationToken)){
+            UserDetails userDetails = (UserDetails) auth.getPrincipal();
+            User user = (User) userDetails;
+            model.addAttribute("likedMovies",this.movieService.findLikedMoviesByUser(user));
+            model.addAttribute("user",user);
+        }
+
+        model.addAttribute("contentTemplate", "movieShow");
+        return "template";
+    }
 
     @GetMapping("/add")
Index: src/main/java/com/wediscussmovies/project/web/controller/PersonController.java
===================================================================
--- src/main/java/com/wediscussmovies/project/web/controller/PersonController.java	(revision 5b447b0d2e718cbed66c944e78e18dd0a5d8bbe3)
+++ src/main/java/com/wediscussmovies/project/web/controller/PersonController.java	(revision f25e8dd2951fa6a4f137647ddf715ff7c799d638)
@@ -45,4 +45,14 @@
         model.addAttribute("persons", persons);
         model.addAttribute("contentTemplate", "personsList");
+        return "template";
+    }
+
+    @GetMapping("/persons/{id}")
+    public String getPerson(@PathVariable Integer id, Model model){
+        Person person = personService.findById(id);
+        //Error handling, could be null!!!!!!!!!
+        model.addAttribute("person", person);
+
+        model.addAttribute("contentTemplate", "personShow");
         return "template";
     }
